/**
 * Copyright &copy; 2015-2020 <a href="http://www.jeeplus.org/">JeePlus</a> All rights reserved.
 */
package com.jeeplus.modules.workstaff.entity;

import java.util.Date;
import com.fasterxml.jackson.annotation.JsonFormat;

import com.jeeplus.common.persistence.DataEntity;
import com.jeeplus.common.utils.excel.annotation.ExcelField;
import org.springframework.web.multipart.MultipartFile;

/**
 * 教育经历Entity
 * @author ssrh
 * @version 2018-07-27
 */
public class WorkStaffEducation extends DataEntity<WorkStaffEducation> {
	
	private static final long serialVersionUID = 1L;
	private String staff;		// 员工ID
	private String school;		// 毕业院校
	private String major;		// 所学专业
	private String edu;		// 学    历
	private String degree;		// 学    位
	private String eduType;		// 学历性质
	private Date startDate;		// 入学日期
	private Date endDate;		// 毕业日期
	private String eduPhoto;		// 学历证书
	private String degreePhoto;		// 学位证书
    private MultipartFile degreePhotoFile;
    private MultipartFile eduPhotoFile;

    public MultipartFile getDegreePhotoFile() {
        return degreePhotoFile;
    }

    public void setDegreePhotoFile(MultipartFile degreePhotoFile) {
        this.degreePhotoFile = degreePhotoFile;
    }

    public MultipartFile getEduPhotoFile() {
        return eduPhotoFile;
    }

    public void setEduPhotoFile(MultipartFile eduPhotoFile) {
        this.eduPhotoFile = eduPhotoFile;
    }

    public WorkStaffEducation() {
		super();
	}

	public WorkStaffEducation(String id){
		super(id);
	}

	@ExcelField(title="员工ID", align=2, sort=7)
	public String getStaff() {
		return staff;
	}

	public void setStaff(String staff) {
		this.staff = staff;
	}
	
	@ExcelField(title="毕业院校", align=2, sort=8)
	public String getSchool() {
		return school;
	}

	public void setSchool(String school) {
		this.school = school;
	}
	
	@ExcelField(title="所学专业", align=2, sort=9)
	public String getMajor() {
		return major;
	}

	public void setMajor(String major) {
		this.major = major;
	}
	
	@ExcelField(title="学    历", dictType="", align=2, sort=10)
	public String getEdu() {
		return edu;
	}

	public void setEdu(String edu) {
		this.edu = edu;
	}
	
	@ExcelField(title="学    位", dictType="", align=2, sort=11)
	public String getDegree() {
		return degree;
	}

	public void setDegree(String degree) {
		this.degree = degree;
	}
	
	@ExcelField(title="学历性质", dictType="", align=2, sort=12)
	public String getEduType() {
		return eduType;
	}

	public void setEduType(String eduType) {
		this.eduType = eduType;
	}
	
	@JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
	@ExcelField(title="入学日期", align=2, sort=13)
	public Date getStartDate() {
		return startDate;
	}

	public void setStartDate(Date startDate) {
		this.startDate = startDate;
	}
	
	@JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
	@ExcelField(title="毕业日期", align=2, sort=14)
	public Date getEndDate() {
		return endDate;
	}

	public void setEndDate(Date endDate) {
		this.endDate = endDate;
	}
	
	@ExcelField(title="学历证书", align=2, sort=15)
	public String getEduPhoto() {
		return eduPhoto;
	}

	public void setEduPhoto(String eduPhoto) {
		this.eduPhoto = eduPhoto;
	}
	
	@ExcelField(title="学位证书", align=2, sort=16)
	public String getDegreePhoto() {
		return degreePhoto;
	}

	public void setDegreePhoto(String degreePhoto) {
		this.degreePhoto = degreePhoto;
	}
	
}